Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.joseki
Class QueryEngineHTTP

    java.lang.Object
      com.hp.hpl.jena.joseki.QueryEngineHTTP

All Implemented Interfaces:
  com.hp.hpl.jena.rdql.QueryExecution

public class QueryEngineHTTP
extends java.lang.Object
implements com.hp.hpl.jena.rdql.QueryExecution

Create an execution object for performing an RDQL query on a model over HTTP.

Version:
  $Id: QueryEngineHTTP.java,v 1.4 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne

Constructor Summary
`QueryEngineHTTP(com.hp.hpl.jena.rdql.Query q, java.lang.String urlStr)`
`QueryEngineHTTP(com.hp.hpl.jena.rdql.Query q, java.net.URL u)`

Method Summary
`void` | `abort()` Stop in mid execution.
`void` | `close()` Normal end of use of this execution
`com.hp.hpl.jena.rdql.QueryResults` | `exec()`
`com.hp.hpl.jena.rdql.QueryResults` | `exec(com.hp.hpl.jena.rdql.ResultBinding rb)`
`HttpQuery` | `getHttpQuery()`
`com.hp.hpl.jena.rdf.model.Model` | `getResultModel()` Get the last result model
`void` | `init()` Initialise a query execution.
`void` | `releaseResultModel()` Release last result model (in case its very large).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryEngineHTTP

    public QueryEngineHTTP(com.hp.hpl.jena.rdql.Query q,
                           java.lang.String urlStr)

### QueryEngineHTTP

    public QueryEngineHTTP(com.hp.hpl.jena.rdql.Query q,
                           java.net.URL u)

Method Detail

### init

    public void init()

  Initialise a query execution. May be called before exec. If it has not be called, the query engine will initialise itself during the exec() method.

  Specified by:
    `init` in interface `com.hp.hpl.jena.rdql.QueryExecution`

### exec

    public com.hp.hpl.jena.rdql.QueryResults exec(com.hp.hpl.jena.rdql.ResultBinding rb)

  Specified by:
    `exec` in interface `com.hp.hpl.jena.rdql.QueryExecution`

### exec

    public com.hp.hpl.jena.rdql.QueryResults exec()

  Specified by:
    `exec` in interface `com.hp.hpl.jena.rdql.QueryExecution`

### abort

    public void abort()

  Stop in mid execution. No guarantee that the concrete implementation actual will stop or that it will do so immediately.

  Specified by:
    `abort` in interface `com.hp.hpl.jena.rdql.QueryExecution`

### close

    public void close()

  Normal end of use of this execution

  Specified by:
    `close` in interface `com.hp.hpl.jena.rdql.QueryExecution`

### getResultModel

    public com.hp.hpl.jena.rdf.model.Model getResultModel()

  Get the last result model

### releaseResultModel

    public void releaseResultModel()

  Release last result model (in case its very large).

### getHttpQuery

    public HttpQuery getHttpQuery()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2003, 2004 Hewlett-Packard Development Company, LP